import TextRules from './textRules.a11y.mdx';

<TextRules />

### Usage

#### Code examples

- logical structure

<!-- prettier-ignore -->
```jsx
<Headline as="h1">
  Discover more with Textbook Detective
</Headline>
<Subheadline as="h2">
  College Textbook Answers
</Subheadline>
<Text as="p">
  Textbook Solutions for all books solved by our Experts. The solutions comply with all books...
</Text>
<Subheadline as="h2">
  High School Textbook Answers
</Subheadline>
<Text as="p">
  Textbook Solutions for all books of class 9 to class 12 solved by our Experts. The solutions comply with all books...
</Text>
```

- with nestings

<!-- prettier-ignore -->
```jsx
<Subheadline>
  Discover <Subheadline as="em" color="text-indigo-60">more</Subheadline> with Textbook Detective
</Subheadline>
```
